Summary: A perl interface to the MD5 digest algorithm.
Name: perl-Digest-MD5
Version: 2.16
Release: 1
License: distributable
Group: Applications/File
Source: http://www.cpan.org/modules/by-module/Digest/Digest-MD5-%{version}.tar.gz
URL: http://www.cpan.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0-16

%description 
The MD5 message digest algorithm, specified in RFC 1321, is a method
of computing a relatively unique 128-bit value (known as the digest,
or fingerprint) as a function of data of arbitrary size.

%prep
%setup -q -n Digest-MD5-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installsitearch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/Digest/MD5/.packlist
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/Digest/MD5/MD5.bs

%files 
%defattr(-,root,root)
%doc README Changes rfc1321.txt
%{_libdir}/perl5/*
%{_mandir}/*/*

%changelog
* Fri Oct 26 2001 Ian Macdonald <ian@caliban.org>
- 2.16

* Mon Jun 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package, adapted from perl-DBI
